use crate::{
    solstices::{Event, YearlyEvents},
    soluna_client::SunMoon,
};
use ifc::IFC;

#[derive(Clone, Debug)]
pub struct State {
    pub date: IFC,
    pub next_event: Event,
    pub events: YearlyEvents,
    pub transit: Option<SunMoon>,
}
