extern crate config_derive;

mod api;
pub use api::{
    ChangeSettingRequest, Core, CoreNotification, CoreRequest, CoreResponse, CreateGameRequest,
    HotseatPlayerRequest, PlayerInfoRequest,
};

mod board;
pub use board::*;

mod database;

mod types;
pub use types::{BoardError, Color, Config, ConfigOption, DatabasePath, Player, Rank, Size};

pub mod ui;
