const CopyWebpackPlugin = require('copy-webpack-plugin');

module.exports = {
    mode: "development",
    entry: {
        "main": "./src/main.tsx"
    },
    module: {
        rules: [
            { test: /\.tsx?$/, use: "ts-loader", exclude: /node_modules/ }
        ]
    },
    plugins: [
        new CopyWebpackPlugin({
            patterns: [
                { from: "src/index.html" },
                { from: "src/visions.css" },
            ]
        })
    ],
    resolve: {
        extensions: ['.ts', '.tsx'],
    }
}
